import imp
py_mod = imp.load_source("util","ScriptEditor/util.py") 
from util import *
imp.load_source("boundary","ScriptEditor/boundary.py") 
from boundary import *

translator.install()

for inputKey, inputValue in Input.items():
	if inputKey.startswith("simulation_"):
		simulation = Input[inputKey]
		if "boundary_variant" in simulation:
			boundaryVariant = simulation["boundary_variant"]
		else:
			boundaryVariant = "flows"

		addBoundaryGroupAnalysis(simulation, findSubDescriptors(inputKey, InputDescriptors))

		if boundaryVariant == "dew" or boundaryVariant == "mold":
			addFRsiComputation(simulation, findSubDescriptors(inputKey, InputDescriptors))

		removeUnusedBoundariesAnalysis(simulation)

Output = Input
OutputDescriptors = InputDescriptors
